# $Revision: 1.42 $, $Date: 2011/03/22 08:21:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	SQLite
Summary:	DBD::SQLite - Self Contained RDBMS in a DBI Driver (sqlite 3.x)
Summary(pl.UTF-8):	DBD::SQLite - Kompletny RDBMS zawarty w sterowniku DBI (sqlite 3.x)
Name:		perl-DBD-SQLite
Version:	1.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	67b3575104efd606c8093bc416e3338d
URL:		http://search.cpan.org/dist/DBD-SQLite/
BuildRequires:	perl-DBI
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::SQLite is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
<http://www.sqlite.org/>.

Rather than ask you to install SQLite first, DBD::SQLite includes the
entire thing in the distribution. So in order to get a fast
transaction capable RDBMS working for your perl project you simply
have to install this module, and nothing else.

To use databases created using older SQLite version (2.x) you should
use perl-DBD-SQLite2 package.

%description -l pl.UTF-8
DBD::SQLite to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Można go znaleźć pod
adresem <http://www.sqlite.org/>.

DBD::SQLite zawiera w sobie cały silnik bazy danych. Dzięki temu aby
otrzymać działający RDBMS dostępny z poziomu Perla nie trzeba
instalować żadnych innych pakietów.

Aby używać baz danych stworzonych przy pomocy starszej wersji SQLite
(2.x) należy zainstalować pakiet perl-DBD-SQLite2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo y | %{__perl} Makefile.PL \
	USE_LOCAL_SQLITE=1 \
	INSTALLDIRS=vendor

# dumps core with sqlite 3.5.4 sometimes (eg. t/06error.t)
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmcflags} %{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite.pm
%dir %{perl_vendorarch}/auto/DBD/SQLite
%{perl_vendorarch}/auto/DBD/SQLite/SQLite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite/SQLite.so
%{_mandir}/man3/DBD*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-SQLite.spec,v $
Revision 1.42  2011/03/22 08:21:07  caleb
- Up to 1.31

Revision 1.41  2010/11/12 23:38:04  pawelz
- release 3

Revision 1.40  2010/06/06 08:34:23  arekm
- release 2

Revision 1.39  2009/11/25 20:37:11  sparky
- BR: perl-Encode for tests
- perl-DBI required even without tests
- use rpmldflags

Revision 1.38  2009/06/18 09:06:02  amateja
- updated to 1.25

Revision 1.37  2008/08/06 11:52:50  radek
- release 5 (rebuild for DBI 1.607)

Revision 1.36  2008/03/15 21:25:47  qboosh
- generic URL

Revision 1.35  2008-03-02 17:31:51  radek
- release 4

Revision 1.34  2008-02-10 12:07:00  arekm
- rel 3

Revision 1.33  2008-01-13 21:13:13  radek
- release 2: use bundled sqlite (dumps core *sometimes* when linked with 3.5.4)
- minor cleanup

Revision 1.32  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.31  2007-11-19 23:28:41  hawk
- updated to 1.14

Revision 1.30  2007-09-09 11:50:45  radek
- version 1.13

Revision 1.29  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.27  2006/06/26 15:37:36  areq
- 1.12

Revision 1.26  2006/02/13 16:35:58  migo
- up to 1.11

Revision 1.25  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.24  2005/03/15 20:34:11  qboosh
- desc cosmetics

Revision 1.23  2005/03/13 19:00:01  migo
- up to 1.08
- better summaries and descriptions

Revision 1.22  2004/11/03 22:30:15  paladine
- formatting

Revision 1.21  2004/11/01 22:05:36  adamg
- updated to 1.07

Revision 1.20  2004/09/05 16:51:36  adamg
- updated to 1.04

Revision 1.19  2004/08/11 19:14:13  adamg
- updated to 1.03

Revision 1.18  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.15  2004/02/15 20:19:43  adamg
- updated to 0.31

Revision 1.14  2004/02/08 23:12:36  migo
- up to 0.30

Revision 1.13  2003/12/08 12:53:03  qboosh
- little simpler

Revision 1.12  2003/12/08 12:51:46  qboosh
- hey, we DO support 64-bit archs; autodetect SQLITE_PTR_SZ

Revision 1.11  2003/12/07 19:19:11  migo
- up to 0.29 (works)
- we need to pass SQLITE_PTR_SZ=4 in OPTIMIZE for 32 archs
- new bcond style, cosmetics

Revision 1.10  2003/09/29 13:14:32  migo
- up to 0.28
- removed BR: sqlite-devel
- still doesn't work

Revision 1.9  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/04/08 20:10:25  ankry
- rel. 0.1

Revision 1.3  2003/04/08 09:52:52  ankry
- added OPTIMIZE=... to make

Revision 1.2  2003/03/27 17:06:01  qboosh
- added pl description, removed packaging-specific things from descriptions
- added missing dir, use "vendor" install scheme (untested)

Revision 1.1  2003/03/21 12:21:26  krzak
- initial release
